package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_SQLPARAMETERVALUE"
)
public class TCoreParametervalue extends TBaseEntity {
   private String parameterid;
   private String parametervalue;

   public TCoreParametervalue() {
   }

   public TCoreParametervalue(String parameterid, String parametervalue) {
      this.parameterid = parameterid;
      this.parametervalue = parametervalue;
   }

   public String getParameterid() {
      return this.parameterid;
   }

   public void setParameterid(String parameterid) {
      this.parameterid = parameterid;
   }

   public String getParametervalue() {
      return this.parametervalue;
   }

   public void setParametervalue(String parametervalue) {
      this.parametervalue = parametervalue;
   }

   public String toString() {
      return "TCoreParametervalue [parameterid=" + this.parameterid + ", parametervalue=" + this.parametervalue + "]";
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.parameterid == null ? 0 : this.parameterid.hashCode());
      result = 31 * result + (this.parametervalue == null ? 0 : this.parametervalue.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreParametervalue other = (TCoreParametervalue)obj;
         if (this.parameterid == null) {
            if (other.parameterid != null) {
               return false;
            }
         } else if (!this.parameterid.equals(other.parameterid)) {
            return false;
         }

         if (this.parametervalue == null) {
            if (other.parametervalue != null) {
               return false;
            }
         } else if (!this.parametervalue.equals(other.parametervalue)) {
            return false;
         }

         return true;
      }
   }
}
